English | [简体中文](./README.zh-CN.md)

<p align="center" style="text-align:center;">
    <a href="https://ms-design.github.io/">
        <img width="220" src="https://raw.githubusercontent.com/ms-design/ms-design/master/docs/.vuepress/public/logo.png">
    </a>
</p>

<h1 align="center" style="text-align:center;">MS Design</h1>

<p align="center" style="text-align:center;">
    <a href="https://vuejs.org/">Vue</a> components that implement Microsoft Design Language
</p>

<p align="center" style="text-align:center;">
    <a href="https://travis-ci.com/ms-design/ms-design">
        <img src="https://img.shields.io/travis/com/ms-design/ms-design.svg?style=flat-square" alt="Build Status">
    </a>
    <a href="https://codecov.io/gh/ms-design/ms-design">
        <img src="https://img.shields.io/codecov/c/github/ms-design/ms-design.svg?style=flat-square" alt="Coverage Status">
    </a>
    <a href="https://npmcharts.com/compare/ms-design?minimal=true">
        <img src="https://img.shields.io/npm/dm/ms-design.svg?style=flat-square" alt="Downloads">
    </a>
    <a href="https://www.npmjs.com/package/ms-design">
        <img src="https://img.shields.io/npm/v/ms-design.svg?style=flat-square" alt="Version">
    </a>
    <a>
        <img src="https://img.shields.io/david/ms-design/ms-design.svg?style=flat-square" alt="Dependencies">
    </a>
    <a>
        <img src="https://img.shields.io/david/dev/ms-design/ms-design.svg?style=flat-square" alt="DevDependencies">
    </a>
    <a href="https://www.npmjs.com/package/ms-design">
        <img src="https://img.shields.io/npm/l/ms-design.svg?style=flat-square" alt="License">
    </a>
    <a href="https://gitter.im/ms-design/ms-design">
        <img src="https://img.shields.io/gitter/room/ms-design/ms-design.svg?style=flat-square" alt="Chat On Gitter">
    </a>
</p>

## Installation

MS Design is available as an [npm package](https://www.npmjs.com/package/ms-design)

```bash
# with npm
npm install ms-design -S

# with yarn
yarn add ms-design
```

## Usage

```javascript
import Vue from 'vue';
import msd from 'ms-design';
import 'ms-design/lib/ms-design.css';

Vue.use(msd);
```

## Browser Support

Modern browsers and Internet Explorer 10+.

## Changelog

Detailed changes for each release are documented in the [release notes](https://github.com/ms-design/ms-design/blob/master/CHANGELOG.md).

## Documentation

Check out our [documentation website](https://ms-design.github.io/).

## Major Contributors
| Github ID | Avatar |
| ------------ | ------------ |
| [pyyzcwg2833](https://github.com/pyyzcwg2833 "pyyzcwg2833") | ![pyyzcwg2833](https://avatars3.githubusercontent.com/u/24390069?s=60&v=4 "pyyzcwg2833") |
| [zysallen](https://github.com/zysallen "zysallen") | ![zysallen](https://avatars3.githubusercontent.com/u/23287111?s=60&v=4 "zysallen") |
| [CirnoBreak](https://github.com/CirnoBreak "CirnoBreak") | ![CirnoBreak](https://avatars3.githubusercontent.com/u/18510256?s=60&v=4 "CirnoBreak") |

## Join Discusion Group

Scan the QR code using [QQ](https://im.qq.com/) or [Wechat](https://weixin.qq.com/) to join in discusion group, or click on the link to join the chat room on Gitter.

| QQ | Wechat | Gitter |
| ------------ | ------------ | ------------ |
| <img src="https://download-1252831689.file.myqcloud.com/ms-design/qq.png" alt="Join Discusion Group on QQ"  width="300" height="450"> | <img src="https://download-1252831689.file.myqcloud.com/ms-design/wechat.png" alt="Join Discusion Group on Wechat" width="300" height="450"> | <a href="https://gitter.im/ms-design/ms-design">Chat on Gitter</a> |

## Licence

This project is licensed under the terms of the MIT license.